import { RankedMenu } from '@jupyterlab/ui-components';
import { IMutableAI } from './tokens';
export declare class MutableAIManager implements IMutableAI {
    constructor(options: IMutableAI.IOptions);
    enable(): void;
    disable(): void;
    private initializePlugin;
    private dispose;
    /**
     * A promise that resolves when the settings have been loaded.
     */
    get ready(): Promise<void>;
    /**
     * Mutable AI manager change extension according to settings.
     */
    private _mutableAISettingsChanged;
    mutableAiMainMenu: RankedMenu | null;
    private _contextMenu;
    private _processFilePointer;
    private _commands;
    private _ready;
    private _translator;
    private _mainMenu;
    private _mutableAI;
}
