import { IMainMenu } from '@jupyterlab/mainmenu';
import { ISettingRegistry } from '@jupyterlab/settingregistry';
import { ITranslator } from '@jupyterlab/translation';
import { ContextMenuSvg } from '@jupyterlab/ui-components';
import { CommandRegistry } from '@lumino/commands';
import { Token } from '@lumino/coreutils';
export declare const PLUGIN_ID: string;
export declare const IMutableAI: Token<IMutableAI>;
export interface IMutableAI {
    enable: () => void;
    disable: () => void;
}
export declare namespace IMutableAI {
    /**
     * MutableAI constructor options
     */
    interface IOptions {
        translator?: ITranslator;
        mainMenu: IMainMenu;
        commands: CommandRegistry;
        contextMenu: ContextMenuSvg;
        /**
         * Extension settings getter
         */
        getSettings: () => Promise<ISettingRegistry.ISettings>;
    }
}
